## class osgParticle::Shooter

> An abstract base class used by ModularEmitter to "shoot" the particles after they have been placed.

## Inheritance:

### Public Methods

virtual const char* libraryName() const
virtual const char* className() const
virtual bool isSameKindAs(const osg::Object* obj) const
virtual void shoot(Particle* P) const = 0
  Shoot a particle.
inline Shooter()
inline Shooter(const Shooter &copy, const osg::CopyOp &copyop)

### Protected Methods

virtual ~Shooter()
Shooter& operator=(const Shooter &)

## Documentation

> An abstract base class used by ModularEmitter to "shoot" the particles after they have been placed. Descendants of this class must override the `shoot()` method.

`virtual const char* libraryName() const`

`virtual const char* className() const`

`virtual bool isSameKindAs(const osg::Object* obj) const`

`virtual void shoot(Particle* P) const = 0`
  Shoot a particle. Must be overriden by descendants. This method should only set the velocity vector of particle `P`, leaving other attributes unchanged.

`virtual ~Shooter()`

`Shooter& operator=(const Shooter &)`

`inline Shooter()`

`inline Shooter(const Shooter &copy, const osg::CopyOp &copyop)`

Direct child classes:
  RadialShooter

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.